Page MenuHomeVyOS Platform

DHCPv6 CLI improvements
Closed, ResolvedPublicFEATURE REQUEST

Description

Improve validator

  • set service dhcpv6-server shared-network-name foo subnet 2001:db8:201::/64 lease-time default 3000 a number is supplied by CLI treads value as a string this should be checked
  • set service dhcpv6-server shared-network-name foo subnet 2001:db8:201::/64 lease-time maximum 3000 a number is supplied by CLI treads value as a string this should be checked
  • set service dhcpv6-server shared-network-name foo subnet 2001:db8:201::/64 lease-time minimum 3000 a number is supplied by CLI treads value as a string this should be checked

Migrate CLI

  • set service dhcpv6-server shared-network-name foo subnet 2001:db8:201::/64 sip-server-address|sip-server-name do the same for the user - only the backend is rendered in a different way. This will be migrated to a new sip-server configuration node. This needs updated documentation
    • Implement & migrate CLI
    • update documentation @s.lorente

Details

Difficulty level
Normal (likely a few hours)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Config syntax change (migratable)

Event Timeline

c-po created this task.Apr 30 2020, 3:01 PM
c-po updated the task description. (Show Details)Apr 30 2020, 3:13 PM
c-po changed the task status from Open to In progress.Apr 30 2020, 3:41 PM
c-po claimed this task.
c-po updated the task description. (Show Details)
c-po changed Difficulty level from Unknown (require assessment) to Normal (likely a few hours).
c-po changed Is it a breaking change? from Unspecified (possibly destroys the router) to Config syntax change (migratable).
c-po added a project: Restricted Project.Apr 30 2020, 3:44 PM
c-po reassigned this task from c-po to s.lorente.Apr 30 2020, 4:23 PM
pasik added a subscriber: pasik.May 1 2020, 10:35 AM
s.lorente updated the task description. (Show Details)May 3 2020, 10:42 PM
s.lorente closed this task as Resolved.May 3 2020, 10:45 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.May 21 2020, 4:16 PM